Bug 61791 - Skipjack breaks Sun Java SDK 1.4.0
Skipjack breaks Sun Java SDK 1.4.0
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: IBMJava2-JRE (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-24 11:52 EST by Gil Chilton
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-24 11:52:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gil Chilton 2002-03-24 11:52:27 EST
Description of Problem:
The following error message appears when trying to run javac after upgrading a 
RH 7.2 laptop:
Error occurred during initialization of VM
Unable to load native library: /usr/java/j2sdk1.4.0/jre/lib/i386/libjava.so: 
symbol __libc_waitpid, version GLIBC_2.0 not defined in file libc.so.6 with 
link time reference


Version-Release number of selected component (if applicable):
Java SDK 1.4.0

How Reproducible:
Run javac from the command line after upgradeing to Skipjack.  I tried 
reinstalling sdk but got same error.

Steps to Reproduce:
1. Upgrade to Skipjack from Enigma that has rpm version of Sun JDK 1.4.0 
installed
2. Attempt to run javac from the command line
3. 

Actual Results:
Following error message:
Error occurred during initialization of VM
Unable to load native library: /usr/java/j2sdk1.4.0/jre/lib/i386/libjava.so: 
symbol __libc_waitpid, version GLIBC_2.0 not defined in file libc.so.6 with 
link time reference


Expected Results:
Java SDK should attempt to compile code.

Additional Information:
Comment 1 Michael Fulbright 2002-03-25 17:11:39 EST
This is a bug in the JDK in that it is using glibc private symbols; this will be
worked around for 7.x in a future glibc build, but eventually the JDK *will*
have to be fixed.
Comment 2 Gil Chilton 2002-04-10 00:37:18 EDT
This appears to be corrected in Skipjack 2.

Note You need to log in before you can comment on or make changes to this bug.